# macop.operators.policies.RandomPolicy

Policy class implementation which is used for selecting operator randomly

Classes

`RandomPolicy`(_operators) | Policy class implementation which is used for select operator randomly

class `macop.operators.policies.RandomPolicy.``RandomPolicy`(_operators)

  Policy class implementation which is used for select operator randomly

  `operators`

    {[Operator]} – list of selected operators for the algorithm

  `select`()

    Select randomly the next operator to use

    Returns

      the selected operator

    Return type

      {Operator}